Page MenuHomePhabricator

Revisit Adyen missing donor info behavior
Closed, ResolvedPublic1 Estimate Story Points

Description

Our Adyen capture job currently cancels payments when it can't find matching donor info. This was an attempt to make sure we didn't double-charge anyone: https://phabricator.wikimedia.org/T129935

Maybe we should do something different.

Details

Related Gerrit Patches:
wikimedia/fundraising/SmashPig : masterDon't cancel payments missing donor details

Event Timeline

Ejegg created this task.May 23 2016, 8:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 8:23 PM
awight triaged this task as High priority.May 23 2016, 10:02 PM
awight set the point value for this task to 1.
awight added a subscriber: awight.May 24 2016, 5:31 PM
  • Check whether we're still seeing attempted double-charges.
  • If so, expand the scope of this work to handle that in a safe way, or prevent the double charging.
  • If not, remove this cancellation logic.

Change 290980 had a related patch set uploaded (by Ejegg):
Don't cancel payments missing donor details

https://gerrit.wikimedia.org/r/290980

Change 290980 merged by jenkins-bot:
Don't cancel payments missing donor details

https://gerrit.wikimedia.org/r/290980

awight assigned this task to Ejegg.Jun 1 2016, 11:55 PM
Ejegg closed this task as Resolved.Jun 7 2016, 9:01 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:49 PM